Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class AsymmetricKeyParameter

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  CMCEKeyParameters, CramerShoupKeyParameters, DHKeyParameters, DilithiumKeyParameters, DSAKeyParameters, ECCSIPrivateKeyParameters, ECCSIPublicKeyParameters, ECKeyParameters, Ed25519PrivateKeyParameters, Ed25519PublicKeyParameters, Ed448PrivateKeyParameters, Ed448PublicKeyParameters, ElGamalKeyParameters, FalconKeyParameters, FrodoKeyParameters, GOST3410KeyParameters, HQCKeyParameters, MayoKeyParameters, MLDSAKeyParameters, MLDSAKeyParameters, MLKEMKeyParameters, MLKEMKeyParameters, NaccacheSternKeyParameters, NHPrivateKeyParameters, NHPublicKeyParameters, NTRUKeyParameters, NTRULPRimeKeyParameters, NTRUPlusKeyParameters, RSAKeyParameters, SABERKeyParameters, SAKKEPrivateKeyParameters, SAKKEPublicKeyParameters, SLHDSAKeyParameters, SLHDSAKeyParameters, SnovaPrivateKeyParameters, SnovaPublicKeyParameters, SNTRUPrimeKeyParameters, SPHINCSKeyParameters, X25519PrivateKeyParameters, X25519PublicKeyParameters, X448PrivateKeyParameters, X448PublicKeyParameters, XWingKeyParameters

public class AsymmetricKeyParameter
extends java.lang.Object
implements CipherParameters

Constructor Summary
`AsymmetricKeyParameter(boolean privateKey)`

Method Summary
`boolean` | `isPrivate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsymmetricKeyParameter

    public AsymmetricKeyParameter(boolean privateKey)

Method Detail

### isPrivate

    public boolean isPrivate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD